NEO(4)

NAME
neo - NeoMagic MagicMedia 256 audio device driver

SYNOPSIS
neo* at pci? dev ? function ?
audio* at audiobus?

DESCRIPTION
The neo driver provides support for the NeoMagic MagicMedia 256AV and 256ZX AC'97 audio devices, found on many laptops.

The MagicMedia 256AV also comes in a variant (usually found on Dell and HP laptops) that works in Windows Sound System emulation mode, not in AC'97 mode. That variant of the chip must be used with the wss(4) driver. The neo driver will not attach to such chips.

SEE ALSO
ac97(4), audio(4), intro(4), midi(4), pci(4), wss(4)

HISTORY
The neo device driver appeared in NetBSD 1.5.1.

BUGS
The MagicMedia 256 series is not well-documented.

No MIDI or FM synthesizer capability is provided with the MagicMedia 256 in AC'97 mode. While those capabilities are provided by the Windows driver for the chip, they are emulated by the Windows driver, and not directly supported by the hardware.